purescript-0.15.12: PureScript Programming Language Compiler

Safe Haskell | Safe-Inferred
Language | Haskell2010

Language.PureScript.CST.Errors

# Documentation

data ParserErrorInfo a #

Constructors

ParserErrorInfo |

Fields

- errRange :: SourceRange
- errToks :: [SourceToken]
- errStack :: LayoutStack
- errType :: a

#### Instances

Instances details

Show a => Show (ParserErrorInfo a) # |
Instance details Defined in Language.PureScript.CST.Errors Methods showsPrec :: Int -> ParserErrorInfo a -> ShowS # show :: ParserErrorInfo a -> String # showList :: [ParserErrorInfo a] -> ShowS #
Eq a => Eq (ParserErrorInfo a) # |
Instance details Defined in Language.PureScript.CST.Errors Methods (==) :: ParserErrorInfo a -> ParserErrorInfo a -> Bool # (/=) :: ParserErrorInfo a -> ParserErrorInfo a -> Bool #

data ParserErrorType #

Constructors

ErrWildcardInType |
ErrConstraintInKind |
ErrHoleInType |
ErrExprInBinder |
ErrExprInDeclOrBinder |
ErrExprInDecl |
ErrBinderInDecl |
ErrRecordUpdateInCtr |
ErrRecordPunInUpdate |
ErrRecordCtrInUpdate |
ErrTypeInConstraint |
ErrElseInDecl |
ErrInstanceNameMismatch |
ErrUnknownFundep |
ErrImportInDecl |
ErrGuardInLetBinder |
ErrKeywordVar |
ErrKeywordSymbol |
ErrQuotedPun |
ErrToken |
ErrLineFeedInString |
ErrAstralCodePointInChar |
ErrCharEscape |
ErrNumberOutOfRange |
ErrLeadingZero |
ErrExpectedFraction |
ErrExpectedExponent |
ErrExpectedHex |
ErrReservedSymbol |
ErrCharInGap Char |
ErrModuleName |
ErrQualifiedName |
ErrEmptyDo |
ErrLexeme (Maybe String) [String] |
ErrConstraintInForeignImportSyntax |
ErrEof |
ErrCustom String |

#### Instances

Instances details

Show ParserErrorType # |
Instance details Defined in Language.PureScript.CST.Errors Methods showsPrec :: Int -> ParserErrorType -> ShowS # show :: ParserErrorType -> String # showList :: [ParserErrorType] -> ShowS #
Eq ParserErrorType # |
Instance details Defined in Language.PureScript.CST.Errors Methods (==) :: ParserErrorType -> ParserErrorType -> Bool # (/=) :: ParserErrorType -> ParserErrorType -> Bool #
Ord ParserErrorType # |

Instance details

Defined in Language.PureScript.CST.Errors

Methods

compare :: ParserErrorType -> ParserErrorType -> Ordering #

(<) :: ParserErrorType -> ParserErrorType -> Bool #

(<=) :: ParserErrorType -> ParserErrorType -> Bool #

(>) :: ParserErrorType -> ParserErrorType -> Bool #

(>=) :: ParserErrorType -> ParserErrorType -> Bool #

max :: ParserErrorType -> ParserErrorType -> ParserErrorType #

min :: ParserErrorType -> ParserErrorType -> ParserErrorType #

data ParserWarningType #

Constructors

WarnDeprecatedRowSyntax |
WarnDeprecatedForeignKindSyntax |
WarnDeprecatedKindImportSyntax |
WarnDeprecatedKindExportSyntax |
WarnDeprecatedCaseOfOffsideSyntax |

#### Instances

Instances details

Show ParserWarningType # |
Instance details Defined in Language.PureScript.CST.Errors Methods showsPrec :: Int -> ParserWarningType -> ShowS # show :: ParserWarningType -> String # showList :: [ParserWarningType] -> ShowS #
Eq ParserWarningType # |
Instance details Defined in Language.PureScript.CST.Errors Methods (==) :: ParserWarningType -> ParserWarningType -> Bool # (/=) :: ParserWarningType -> ParserWarningType -> Bool #
Ord ParserWarningType # |

Instance details

Defined in Language.PureScript.CST.Errors

Methods

compare :: ParserWarningType -> ParserWarningType -> Ordering #

(<) :: ParserWarningType -> ParserWarningType -> Bool #

(<=) :: ParserWarningType -> ParserWarningType -> Bool #

(>) :: ParserWarningType -> ParserWarningType -> Bool #

(>=) :: ParserWarningType -> ParserWarningType -> Bool #

max :: ParserWarningType -> ParserWarningType -> ParserWarningType #

min :: ParserWarningType -> ParserWarningType -> ParserWarningType #

type ParserError = ParserErrorInfo ParserErrorType #

type ParserWarning = ParserErrorInfo ParserWarningType #

prettyPrintError :: ParserError -> String #

prettyPrintErrorMessage :: ParserError -> String #

prettyPrintWarningMessage :: ParserWarning -> String #